<div class="rounded border border-2 w-100 p-4">
    <form [formGroup]="form1" autocomplete="off">
        <div class="row">
            <div class="col-6">
                <mat-form-field appearance="fill" [style.width.%]="100">
                    <mat-label>Superficie construida en m2</mat-label>
                    <input matInput type="number" placeholder="Superficie construida" 
                        formControlName="superficie_construidam2">
                </mat-form-field>
                <mat-form-field appearance="fill" [style.width.%]="100">
                    <mat-label>Antigüedad en años</mat-label>
                    <input matInput type="number" placeholder="Antigüedad" 
                        formControlName="antiguedad_anios">
                </mat-form-field>
            </div>
            <div class="col-6">
                <div class="form-group">
                    <mat-radio-group class="example-radio-group" 
                        formControlName="tipo_construccion">
                        <mat-radio-button class="example-radio-button"
                            *ngFor="let tipoConstruccion of tipoConstrucciones"
                            [value]="tipoConstruccion.codigo">{{tipoConstruccion.nombre}}                            </mat-radio-button>
                
                    </mat-radio-group>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
            </div>
            <div class="col-md-4">
                <button class="w-100" [disabled]="!form1.valid" mat-button color="primary" (click)="agregar()">Agregar</button>
            </div>
            <div class="col-md-4">
                <button class="w-100" mat-button color="success" (click)="cerrar()">Cerrar</button>
            </div>
        </div>
    </form>
    
</div>
